pbmupc(1)

NAME
pbmupc - create a Universal Product Code bitmap

SYNOPSIS
pbmupc [-s1|-s2] type manufac product

DESCRIPTION
Generates a Universal Product Code symbol. The three arguments are: a one digit product type, a five digit manufacturer code, and a five digit product code. For example, "0 72890 00011" is the code for Heineken.

As presently configured, pbmupc produces a bitmap 230 bits wide and 175 bits high. The size can be altered by changing the defines at the beginning of the program, or by running the output through pnmenlarge or pnmscale.

OPTIONS

The -s1 and -s2 flags select the style of UPC to generate. The default, -s1, looks more or less like this:
 ||||||||||||||||
 ||||||||||||||||
 ||||||||||||||||
 ||||||||||||||||
0||12345||67890||5
The other style, -s2, puts the product type digit higher up, and doesn't display the checksum digit:
 ||||||||||||||||
 ||||||||||||||||
0||||||||||||||||
 ||||||||||||||||
 ||12345||67890||

SEE ALSO
pbm(5)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.